## sugar-physics-activity 5+dfsg

=== debian/changelog ===
sugar-physics-activity (5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #588106)

 -- Luke Faraone <luke@faraone.cc>  Mon, 26 Jul 2010 10:49:53 -0400
