=== debian/control ===
Source: sugar-physics-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Luke Faraone <luke@faraone.cc>
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.67~),
 dh-buildinfo,
 python-central,
 debhelper (>= 7.0.1),
 cdbs (>= 0.4.67~),
 python,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.1
Homepage: http://wiki.sugarlabs.org/go/Activities/Physics
Vcs-Git: git://git.debian.org/collab-maint/sugar-physics-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-physics-activity.git
DM-Upload-Allowed: yes

Package: sugar-physics-activity
Architecture: all
Depends: ${python:Depends},  ${misc:Depends}, ${cdbs:Depends}
Description: physics simulator for the Sugar graphical shell
 Sugar is a graphical user interface aimed at children.
 .
 Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids.
 .
 This package contains the Physics activity. In it, you can add squares,
 circles, triangles, or draw your own shapes, and see them come to life
 with forces like gravity friction, and inertia.
