## sugar-physics-activity 7+dfsg

=== debian/changelog ===
sugar-physics-activity (7+dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #617100).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 09 Jul 2013 20:21:10 +0200

sugar-physics-activity (7+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix activity.info file (Closes: #706019)

 -- Gaudenz Steinlin <gaudenz@soziologie.ch>  Tue, 23 Apr 2013 18:30:28 +0200

sugar-physics-activity (7+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Luke Faraone <lfaraone@debian.org>  Thu, 21 Oct 2010 08:58:00 -0400
