=== debian/control ===
--- 
+++ 
@@ -2,14 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
-Uploaders: Luke Faraone <luke@faraone.cc>
+Uploaders: Luke Faraone <lfaraone@debian.org>
 Build-Depends: devscripts (>= 2.10.7~),
- cdbs (>= 0.4.67~),
  dh-buildinfo,
- python-central,
  debhelper (>= 7.0.1),
- cdbs (>= 0.4.67~),
- python,
+ cdbs (>= 0.4.90~),
+ python (>= 2.6.6-3~),
  python-sugar-0.88 | python-sugar,
  python-sugar-toolkit-0.88 | python-sugar-toolkit,
  unzip
@@ -17,7 +15,6 @@
 Homepage: http://wiki.sugarlabs.org/go/Activities/Physics
 Vcs-Git: git://git.debian.org/collab-maint/sugar-physics-activity.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-physics-activity.git
-DM-Upload-Allowed: yes
 
 Package: sugar-physics-activity
 Architecture: all
@@ -25,7 +22,7 @@
 Description: physics simulator for the Sugar graphical shell
  Sugar is a graphical user interface aimed at children.
  .
- Originating as intregral part of the OLPC "XO" a.k.a. the $100 laptop,
+ Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
  Sugar has since grown into a more widely usable low-resource desktop
  environment for kids.
  .
