=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://download.sugarlabs.org/sources/honey/Physics/Physics-(.*)\.tar\.bz2
