## sugar-physics-activity 32

=== debian/changelog ===
sugar-physics-activity (32) belenos; urgency=low

  * 32 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Wed, 04 Apr 2018 03:17:41 +0000
